Name:           nweb
Version:        25
Release:        %mkrel 2
Summary:        Tiny and safe webserver that serves static pages only
Group:          System/Servers
License:        ASL 2.0
URL:            https://nmon.sourceforge.net/pmwiki.php?n=Site.Nweb
Source0:        https://public.dhe.ibm.com/systems/power/community/aix/nweb/nweb.zip#/%{name}-%{version}.zip
Source1:        https://sourceforge.net/projects/nmon/files/nweb25.c
Patch0:         nweb-23-add-more-extensions.patch

%description
Have you ever wanted to run a tiny, safe web server without worrying about
using a fully blown web server that could be complex to install and configure?
Do you wonder how to write a program that accepts incoming messages with a
network socket? Have you ever just wanted your own Web server to experiment
and learn with?

Well, look no further -- nweb is what you need. This is a simple Web server
that has only 200 lines of C source code. It runs as a regular user and can't
run any server-side scripts or programs, so it can't open up any special
privileges or security holes. 

%prep
%autosetup -p1 -c -n %{name}-%{version}
%__cp %{S:1} .

%build
gcc %{optflags} %{name}%{version}.c -o %{name}

%install
%__install -d %{buildroot}%{_sbindir}
%__install -D -p -m 0755 %{name} %{buildroot}%{_sbindir}/

%files
%doc README.txt
%doc client.c index.html nigel.jpg favicon.ico
%{_sbindir}/%{name}



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 25-2.mga10
+ Revision: 2195314
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 kekepower <kekepower> 25-1.mga9
+ Revision: 1791802
- Update to version 25
- Update URL

* Mon Mar 14 2022 umeabot <umeabot> 23-5.mga9
+ Revision: 1791614
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 23-4.mga8
+ Revision: 1511350
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 kekepower <kekepower> 23-3.mga7
+ Revision: 1296402
- Fixed a typo on line 165 in nweb.c

* Fri May 18 2018 kekepower <kekepower> 23-2.mga7
+ Revision: 1230398
- Update patch to include more mime types
- Use optflags instead of hard coding options

* Fri Apr 06 2018 kekepower <kekepower> 23-1.mga7
+ Revision: 1215709
- imported package nweb

